# Class CIM_BIOSEnumeration
extends CIM_BIOSAttribute

This class extends the CIM_BIOSAttribute base class definition to provide informational detail for enumeration data types. Enumerations are single-selection lists with a finite set of entities. Example enumerations might include "Power-On Self Test: Enable, Disable" or "Standby Timeout: 15 minutes, 30 minutes, 45 minutes, Never".

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_BIOSAttribute
|
+--CIM_BIOSEnumeration

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class extends the CIM_BIOSAttribute base class definition to provide informational detail for enumeration data types. Enumerations are single-selection lists with a finite set of entities. Example enumerations might include "Power-On Self Test: Enable, Disable" or "Standby Timeout: 15 minutes, 30 minutes, 45 minutes, Never".
UMLPackagePath | string | CIM::System::BIOS
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PossibleValues | string[] |
ArrayType | string | indexed
Description | string | An array of strings containing possible value definitions for the Attribute. The first element SHOULD not be NULL and there SHOULD be no NULL or empty string elements intermixed with populated array element values. A Value of NULL SHALL indicate an element's value is unknown.
ModelCorrespondence | string | CIM_BIOSEnumeration.PossibleValuesDescription
Required | boolean | true
PossibleValuesDescription | string[] |
ArrayType | string | indexed
Description | string | An array of free-form strings providing explanations and details behind the entries in the CIM_BIOSEnumeration.PossibleValues array. Note that each entry of this array is related to the entry in PossibleValues array that is located at the same index.
ModelCorrespondence | string | CIM_BIOSEnumeration.PossibleValues

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AttributeName | string | CIM_BIOSAttribute
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_BIOSAttribute
IsOrderedList | boolean | CIM_BIOSAttribute
IsReadOnly | boolean | CIM_BIOSAttribute
CurrentValue | string[] | CIM_BIOSAttribute
DefaultValue | string[] | CIM_BIOSAttribute
PendingValue | string[] | CIM_BIOSAttribute

## Class Methods